Bug 1015889 - SELinux is preventing /usr/bin/wall from 'search' accesses on the directory /var/lib/sss.
SELinux is preventing /usr/bin/wall from 'search' accesses on the directory /...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:10dd249d0afc434d9a933b1ba62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-06 10:19 EDT by Will Tisdale
Modified: 2013-11-10 01:21 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-90.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:21:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Tisdale 2013-10-06 10:19:25 EDT
Description of problem:
This access is required by the apcupsd package.
SELinux is preventing /usr/bin/wall from 'search' accesses on the directory /var/lib/sss.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that wall should be allowed search access on the sss directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wall /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:apcupsd_t:s0
Target Context                system_u:object_r:sssd_var_lib_t:s0
Target Objects                /var/lib/sss [ dir ]
Source                        wall
Source Path                   /usr/bin/wall
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           util-linux-2.24-0.1.fc20.x86_64
Target RPM Packages           sssd-common-1.11.1-2.fc20.x86_64
Policy RPM                    selinux-policy-3.12.1-75.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.3-301.preempt.ck.fc20.x86_64
                              #1 SMP PREEMPT Fri Oct 4 16:50:58 BST 2013 x86_64
                              x86_64
Alert Count                   4
First Seen                    2013-10-06 15:10:32 BST
Last Seen                     2013-10-06 15:13:08 BST
Local ID                      06d213e7-76bf-4617-a429-ced9a5acfd0a

Raw Audit Messages
type=AVC msg=audit(1381068788.787:3893): avc:  denied  { search } for  pid=18846 comm="wall" name="sss" dev="sda4" ino=76578 scontext=system_u:system_r:apcupsd_t:s0 tcontext=system_u:object_r:sssd_var_lib_t:s0 tclass=dir


type=SYSCALL msg=audit(1381068788.787:3893): arch=x86_64 syscall=connect success=no exit=EACCES a0=4 a1=7fff2f413580 a2=6e a3=7fff2f4132e0 items=0 ppid=18836 pid=18846 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=wall exe=/usr/bin/wall subj=system_u:system_r:apcupsd_t:s0 key=(null)

Hash: wall,apcupsd_t,sssd_var_lib_t,dir,search

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.3-301.preempt.ck.fc20.x86_64
type:           libreport
Comment 1 Will Tisdale 2013-10-06 10:20:41 EDT
Furthermore, it also wants search access to /var/lib/sss/mc, as per the below:


SELinux is preventing /usr/bin/wall from search access on the directory /var/lib/sss/mc.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that wall should be allowed search access on the mc directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wall /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:apcupsd_t:s0
Target Context                system_u:object_r:sssd_public_t:s0
Target Objects                /var/lib/sss/mc [ dir ]
Source                        wall
Source Path                   /usr/bin/wall
Port                          <Unknown>
Host                          Aeolus.local
Source RPM Packages           util-linux-2.24-0.1.fc20.x86_64
Target RPM Packages           sssd-common-1.11.1-2.fc20.x86_64
Policy RPM                    selinux-policy-3.12.1-75.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     Aeolus.local
Platform                      Linux Aeolus.local
                              3.11.3-301.preempt.ck.fc20.x86_64 #1 SMP PREEMPT
                              Fri Oct 4 16:50:58 BST 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-10-06 15:14:39 BST
Last Seen                     2013-10-06 15:15:03 BST
Local ID                      541408c1-0e7b-4a94-a5d8-f67fe07a1de0

Raw Audit Messages
type=AVC msg=audit(1381068903.132:3904): avc:  denied  { search } for  pid=18992 comm="wall" name="mc" dev="sda4" ino=76580 scontext=system_u:system_r:apcupsd_t:s0 tcontext=system_u:object_r:sssd_public_t:s0 tclass=dir


type=SYSCALL msg=audit(1381068903.132:3904): arch=x86_64 syscall=open success=no exit=EACCES a0=7f2b80605ed0 a1=80000 a2=7fffbbe19544 a3=7fffbbe192d0 items=0 ppid=18981 pid=18992 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=wall exe=/usr/bin/wall subj=system_u:system_r:apcupsd_t:s0 key=(null)

Hash: wall,apcupsd_t,sssd_public_t,dir,search
Comment 2 Daniel Walsh 2013-10-07 09:47:13 EDT
5f7a561246fd7a47181a67ac3b2d06b339f0be5f fixes this in git.
Comment 4 Fedora Update System 2013-10-15 12:30:40 EDT
selinux-policy-3.12.1-90.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-90.fc20
Comment 5 Fedora Update System 2013-10-17 16:22:04 EDT
Package selinux-policy-3.12.1-90.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-90.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19129/selinux-policy-3.12.1-90.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-10 01:21:51 EST
selinux-policy-3.12.1-90.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.